{
  "accUserMode" : 2,
  "caption" : "学员登记信息",
  "codeName" : "ReginfoChartExpView",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDEVIEWS/ReginfoChartExpView.json",
  "name" : "ReginfoChartExpView",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Reginfo.json"
  },
  "getPSAppModule" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPMODULES/common.json"
  },
  "getPSAppViewLogics" : [ {
    "logicTrigger" : "CUSTOM",
    "logicType" : "APPUILOGIC",
    "name" : "newdata",
    "getPSAppUILogic" : {
      "actionAfterWizard" : "DEFAULT",
      "logicType" : "PREDEFINED",
      "name" : "新建数据",
      "viewLogicType" : "APP_NEWDATA",
      "batchAddOnly" : false,
      "enableBatchAdd" : false,
      "enableWizardAdd" : false
    }
  }, {
    "logicTrigger" : "CUSTOM",
    "logicType" : "APPUILOGIC",
    "name" : "opendata",
    "getPSAppUILogic" : {
      "logicType" : "PREDEFINED",
      "name" : "打开数据",
      "viewLogicType" : "APP_OPENDATA",
      "editMode" : true
    }
  } ],
  "getPSControls" : [ {
    "codeName" : "ChartExpViewchartexpbar",
    "controlType" : "CHARTEXPBAR",
    "name" : "chartexpbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Reginfo.json"
    },
    "getPSAppViewRefs" : [ {
      "name" : "EXPITEM:bar",
      "parentDataJO" : {
        "testval" : "%age%"
      },
      "realTitle" : "学生信息编辑视图",
      "getRefPSAppView" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/ReginfoUsr0423209603EditView.json",
        "viewType" : "DEEDITVIEW"
      },
      "viewParamJO" : {
        "testval" : "%age%"
      }
    } ],
    "getPSControlHandler" : {
      "enableDEFieldPrivilege" : false,
      "id" : "chartexpbar"
    },
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true,
      "id" : "CHARTEXPBAR"
    },
    "getPSControls" : [ {
      "codeName" : "Usr0301355514",
      "controlType" : "CHART",
      "coordinateSystem" : "XY",
      "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Reginfo/PSCHARTS/Usr0301355514.json",
      "getFetchPSControlAction" : {
        "modelref" : true,
        "id" : "fetch",
        "actionType" : "DEDATASET",
        "name" : "fetch",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "FetchDefault"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Reginfo.json"
        }
      },
      "hookEventNames" : [ "SELECTIONCHANGE", "LOAD" ],
      "logicName" : "Chart3",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Reginfo.json"
      },
      "getPSChartCoordinateSystems" : [ {
        "eChartsType" : "cartesian2d",
        "index" : 0,
        "name" : "[bar_0]直角坐标系[0]",
        "getPSChartGrid" : {
          "index" : 0,
          "name" : "[bar_0]直角坐标系[0]",
          "getPSChartCoordinateSystem" : {
            "modelref" : true,
            "id" : "0"
          },
          "getPSChartGridXAxis0" : {
            "modelref" : true,
            "id" : "0"
          },
          "getPSChartGridYAxis0" : {
            "modelref" : true,
            "id" : "0"
          },
          "type" : "grid",
          "id" : "0"
        },
        "type" : "XY",
        "id" : "0"
      } ],
      "getPSChartDataSetGroups" : [ {
        "index" : 0,
        "name" : "DEFAULT",
        "getPSAppDEDataSet" : {
          "modelref" : true,
          "id" : "FetchDefault"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Reginfo.json"
        },
        "id" : "0"
      } ],
      "getPSChartDataSets" : [ {
        "index" : 0,
        "name" : "bar_0-DEFAULT",
        "getPSChartDataSetFields" : [ {
          "index" : 0,
          "name" : "address",
          "groupField" : true,
          "id" : "0"
        }, {
          "index" : 1,
          "name" : "DEPARTMENT",
          "groupField" : true,
          "id" : "1"
        }, {
          "index" : 2,
          "name" : "AGE",
          "groupField" : false,
          "id" : "2"
        } ],
        "id" : "0"
      } ],
      "getPSChartGrids" : [ {
        "index" : 0,
        "name" : "[bar_0]直角坐标系[0]",
        "getPSChartCoordinateSystem" : {
          "modelref" : true,
          "id" : "0"
        },
        "getPSChartGridXAxis0" : {
          "modelref" : true,
          "id" : "0"
        },
        "getPSChartGridYAxis0" : {
          "modelref" : true,
          "id" : "0"
        },
        "type" : "grid",
        "id" : "0"
      } ],
      "getPSChartXAxises" : [ {
        "eChartsPos" : "xAxis",
        "eChartsType" : "category",
        "index" : 0,
        "name" : "axis_xAxis_0",
        "position" : "bottom",
        "type" : "category",
        "getUserParam" : {
          "EC.axisTick" : "{\"show\":0}",
          "ECX.axisLine" : "{\"lineStyle\":{\"color\":\"rgba(0,0,0,0.15)\"}}"
        },
        "id" : "0"
      } ],
      "getPSChartYAxises" : [ {
        "eChartsPos" : "yAxis",
        "eChartsType" : "value",
        "index" : 0,
        "name" : "axis_yAxis_0",
        "position" : "left",
        "type" : "numeric",
        "id" : "0"
      } ],
      "getPSControlHandler" : {
        "getPSHandlerActions" : [ {
          "actionName" : "Get",
          "actionType" : "DEACTION",
          "dataAccessAction" : "READ",
          "name" : "load",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Get"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Reginfo.json"
          }
        }, {
          "actionName" : "Create",
          "actionType" : "DEACTION",
          "dataAccessAction" : "CREATE",
          "name" : "create",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Create"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Reginfo.json"
          }
        }, {
          "actionName" : "Update",
          "actionType" : "DEACTION",
          "dataAccessAction" : "UPDATE",
          "name" : "update",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Update"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Reginfo.json"
          }
        }, {
          "actionName" : "Remove",
          "actionType" : "DEACTION",
          "dataAccessAction" : "DELETE",
          "name" : "remove",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Remove"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Reginfo.json"
          }
        }, {
          "actionType" : "DEDATASET",
          "name" : "fetch",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "FetchDefault"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Reginfo.json"
          }
        } ],
        "userDRAction" : "READ",
        "enableDEFieldPrivilege" : false,
        "id" : "图形控件处理器"
      },
      "getPSControlLogics" : [ {
        "eventNames" : "SELECTIONCHANGE",
        "logicTag" : "chartexpbar_chart",
        "logicType" : "CUSTOM",
        "name" : "chartexpbar_selectionchange"
      }, {
        "eventNames" : "LOAD",
        "logicTag" : "chartexpbar_chart",
        "logicType" : "CUSTOM",
        "name" : "chartexpbar_load"
      } ],
      "getPSControlParam" : {
        "autoLoad" : true,
        "showBusyIndicator" : true,
        "id" : "chartexpbar_chart"
      },
      "getPSDEChartLegend" : {
        "index" : 0,
        "showLegend" : true,
        "id" : "0"
      },
      "getPSDEChartSerieses" : [ {
        "caption" : "正常人数",
        "catalogField" : "address",
        "eChartsType" : "bar",
        "index" : 0,
        "name" : "bar_0",
        "getNavPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/ReginfoUsr0423209603EditView.json",
          "viewType" : "DEEDITVIEW"
        },
        "navViewParamJO" : {
          "testval" : "%age%"
        },
        "getPSChartCoordinateSystem" : {
          "modelref" : true,
          "id" : "0"
        },
        "getPSChartDataSet" : {
          "modelref" : true,
          "id" : "0"
        },
        "getPSChartSeriesEncode" : {
          "index" : 0,
          "itemId" : "DEPARTMENT",
          "itemName" : "DEPARTMENT",
          "name" : "坐标系编码",
          "getPSChartXAxis" : {
            "modelref" : true,
            "id" : "0"
          },
          "getPSChartYAxis" : {
            "modelref" : true,
            "id" : "0"
          },
          "type" : "XY",
          "x" : [ "address" ],
          "y" : [ "AGE" ],
          "id" : "0"
        },
        "getPSNavigateParams" : [ {
          "key" : "testval",
          "name" : "testval",
          "value" : "age",
          "rawValue" : false
        } ],
        "seriesField" : "DEPARTMENT",
        "seriesLayoutBy" : "column",
        "seriesType" : "bar",
        "valueField" : "AGE",
        "enableChartDataSet" : true,
        "stack" : false
      } ],
      "getPSDEChartTitle" : {
        "index" : 0,
        "title" : "柱状图",
        "showTitle" : false,
        "id" : "0"
      },
      "readOnly" : true,
      "name" : "chartexpbar_chart",
      "modelid" : "A1BCD468-3027-4DAF-A36E-F8900BF586DA",
      "modeltype" : "PSDECHART",
      "getUserParam" : {
        "ECX.legend" : "{\"textStyle\":{\"color\":\"#999999\"}}",
        "EC.textStyle" : "{\"color\":\"#666666\",\"fontSize\":12}",
        "EC.color" : "[\"#73A0FA\",\"#FFB200\",\"#6DDA2F\",\"#ee6666\",\"#73c0de\",\"#3ba272\",\"#fc8452\",\"#9a60b4\",\"#ea7ccc\",\"#73A0FA\",\"#FFB200\"]"
      }
    } ],
    "getPSSysImage" : {
      "glyph" : "xf1b2@FontAwesome",
      "cssClass" : "fa fa-cube"
    },
    "title" : "图表视图导航栏test",
    "xDataControlName" : "chartexpbar_chart",
    "enableCounter" : true,
    "enableSearch" : true,
    "showTitleBar" : true,
    "modelid" : "acb19f12fb9a240f881b2a2ebc8f26d4_chartexpbar",
    "modeltype" : "PSEXPBAR"
  }, {
    "controlType" : "SEARCHBAR",
    "name" : "searchbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Reginfo.json"
    },
    "getPSControlParam" : {
      "id" : "searchbar"
    },
    "quickGroupCount" : -1,
    "quickSearchMode" : 1,
    "quickSearchWidth" : 0,
    "enableFilter" : false,
    "enableGroup" : false,
    "enableQuickSearch" : true,
    "mobileSearchBar" : false
  }, {
    "caption" : "学员登记信息",
    "codeName" : "ChartExpViewcaptionbar",
    "controlType" : "CAPTIONBAR",
    "name" : "captionbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Reginfo.json"
    },
    "getPSControlParam" : { }
  } ],
  "getPSDEViewCodeName" : "ChartExpView",
  "getPSDEViewId" : "38A9652A-1B48-4112-B15E-4A55CD3E16FB",
  "getPSViewLayoutPanel" : {
    "codeName" : "Layoutpanel",
    "controlStyle" : "APPDECHARTEXPVIEW",
    "controlType" : "VIEWLAYOUTPANEL",
    "name" : "layoutpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Reginfo.json"
    },
    "getPSControlParam" : { },
    "layoutBodyOnly" : true,
    "layoutPanel" : true,
    "useDefaultLayout" : true
  },
  "sideBarLayout" : "LEFT",
  "title" : "学员登记信息图表导航视图",
  "viewStyle" : "DEFAULT",
  "viewType" : "DECHARTEXPVIEW",
  "enableDP" : true,
  "enableFilter" : true,
  "enableQuickSearch" : true,
  "enableSearch" : true,
  "showDataInfoBar" : true,
  "modelid" : "acb19f12fb9a240f881b2a2ebc8f26d4",
  "modeltype" : "PSAPPDEVIEW"
}